Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.realm
Interface Realm

public interface Realm

A Realm provides access to a store of roles and users.
JAZN has separated Role Management from User Management. This is achieved by each realm instance providing it's own UserManager for user management, and RoleManager for role management.

Realm interface defines methods for managing realm's meta-data(properties) and getting its UserManager and RoleManager.

See Also:
  `UserManager`, `RoleManager`

Nested Class Summary
`static interface` | `Realm.LDAPProperty` LDAPProperty defines the LDAP properties applicable for creating a realm (user manager and role manager) using LDAP directory as a backing store.

Method Summary
`RealmUser` | `getAdministrator()` Returns the administrator for this realm.
`RealmRole` | `getAdminRole()` Returns the admin role for this realm instance.
`String` | `getFullName()` Returns the fullName of the realm
`String` | `getName()` Returns the name of the realm
`String` | `getProperty(String key)` Returns the value of a realm property given its key
`RoleManager` | `getRoleManager()` Returns a reference to the RoleManager for this realm
`UserManager` | `getUserManager()` Returns a reference to the UserManager for this realm
`void` | `setProperty(String key, String value)` Modify the value of a realm property given its key.

Method Detail

### getName

    public String getName()

  Returns the name of the realm
  Returns:
    realm name

### getFullName

    public String getFullName()

  Returns the fullName of the realm
  Returns:
    realm fullName

### getAdministrator

    public RealmUser getAdministrator()
                               throws JAZNException

  Returns the administrator for this realm.
  Returns:
    a RealmUser instance who is granted the admininstor prilvileges for this realm
  Throws:
    `JAZNException`

### getAdminRole

    public RealmRole getAdminRole()
                           throws JAZNException

  Returns the admin role for this realm instance.
  Throws:
    `JAZNException`

### getRoleManager

    public RoleManager getRoleManager()
                               throws JAZNException

  Returns a reference to the RoleManager for this realm
    `JAZNException`

### getUserManager

    public UserManager getUserManager()
                               throws JAZNException

  Returns a reference to the UserManager for this realm
    `JAZNException`

### getProperty

    public String getProperty(String key)

  Returns the value of a realm property given its key
  Parameters:
    `key` - the string value of the property's name
  Returns:
    the string value of a property

### setProperty

    public void setProperty(String key,
    String value)
                     throws JAZNException

  Modify the value of a realm property given its key.
  Parameters:
    `key` - the string value of the property's name
    `value` - new value of the property
  Throws:
    `JAZNException` - if an exception is encountered.
    `SecurityException` - if the caller does not have permission to invoke this method

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.